From d19e96a6b0f65c4d6d709a8de6c77e61184ed640 Mon Sep 17 00:00:00 2001
From: Matthew Harmsen <mharmsen@redhat.com>
Date: Wed, 2 Jul 2014 22:07:42 -0700
Subject: [PATCH] Remove legacy 'systemctl' files

- PKI TRAC Ticket #832 - Remove legacy 'systemctl' files . . .
---
 base/ca/CMakeLists.txt                             |   33 -
 base/ca/shared/etc/init.d/pki-cad                  |   87 --
 base/ca/shared/lib/systemd/system/pki-cad.target   |    8 -
 base/ca/shared/lib/systemd/system/pki-cad@.service |   13 -
 base/kra/CMakeLists.txt                            |   35 -
 base/kra/shared/etc/init.d/pki-krad                |   87 --
 base/kra/shared/lib/systemd/system/pki-krad.target |    8 -
 .../shared/lib/systemd/system/pki-krad@.service    |   13 -
 base/ocsp/CMakeLists.txt                           |   34 -
 base/ocsp/shared/etc/init.d/pki-ocspd              |   87 --
 .../shared/lib/systemd/system/pki-ocspd.target     |    8 -
 .../shared/lib/systemd/system/pki-ocspd@.service   |   13 -
 .../netscape/cms/servlet/csadmin/DonePanel.java    |   10 +-
 .../cms/servlet/csadmin/SecurityDomainPanel.java   |   31 +-
 .../python/pki/server/deployment/pkimessages.py    |    2 +-
 .../admin/console/config/securitydomainpanel.vm    |    2 +-
 base/setup/pkicommon.pm                            |   20 +-
 base/setup/scripts/functions                       |   19 +-
 base/silent/templates/pki_silent.template          | 1352 +-------------------
 base/tks/CMakeLists.txt                            |   34 -
 base/tks/shared/etc/init.d/pki-tksd                |   87 --
 base/tks/shared/lib/systemd/system/pki-tksd.target |    8 -
 .../shared/lib/systemd/system/pki-tksd@.service    |   13 -
 base/tps-tomcat/CMakeLists.txt                     |   34 -
 base/tps-tomcat/shared/conf/etc/init.d/pki-tpsd    |   86 --
 base/tps-tomcat/shared/etc/init.d/pki-tpsd         |   86 --
 .../shared/lib/systemd/system/pki-tpsd.target      |    6 -
 .../shared/lib/systemd/system/pki-tpsd@.service    |   12 -
 specs/pki-core.spec                                |  220 +---
 29 files changed, 42 insertions(+), 2406 deletions(-)
 delete mode 100755 base/ca/shared/etc/init.d/pki-cad
 delete mode 100644 base/ca/shared/lib/systemd/system/pki-cad.target
 delete mode 100644 base/ca/shared/lib/systemd/system/pki-cad@.service
 delete mode 100755 base/kra/shared/etc/init.d/pki-krad
 delete mode 100644 base/kra/shared/lib/systemd/system/pki-krad.target
 delete mode 100644 base/kra/shared/lib/systemd/system/pki-krad@.service
 delete mode 100755 base/ocsp/shared/etc/init.d/pki-ocspd
 delete mode 100644 base/ocsp/shared/lib/systemd/system/pki-ocspd.target
 delete mode 100644 base/ocsp/shared/lib/systemd/system/pki-ocspd@.service
 delete mode 100755 base/tks/shared/etc/init.d/pki-tksd
 delete mode 100644 base/tks/shared/lib/systemd/system/pki-tksd.target
 delete mode 100644 base/tks/shared/lib/systemd/system/pki-tksd@.service
 delete mode 100755 base/tps-tomcat/shared/conf/etc/init.d/pki-tpsd
 delete mode 100755 base/tps-tomcat/shared/etc/init.d/pki-tpsd
 delete mode 100644 base/tps-tomcat/shared/lib/systemd/system/pki-tpsd.target
 delete mode 100644 base/tps-tomcat/shared/lib/systemd/system/pki-tpsd@.service

diff --git a/base/ca/CMakeLists.txt b/base/ca/CMakeLists.txt
index 9c1616b..025f7a1 100644
--- a/base/ca/CMakeLists.txt
+++ b/base/ca/CMakeLists.txt
@@ -4,30 +4,6 @@ add_subdirectory(src)
 add_subdirectory(setup)
 add_subdirectory(shared/conf)
 
-# install systemd scripts
-install(
-    FILES
-        shared/lib/systemd/system/pki-cad.target
-        shared/lib/systemd/system/pki-cad@.service
-    DESTINATION
-        ${SYSTEMD_LIB_INSTALL_DIR}
-    PERMISSIONS
-        OWNER_EXECUTE OWNER_WRITE OWNER_READ
-        GROUP_EXECUTE GROUP_READ
-        WORLD_EXECUTE WORLD_READ
-)
-
-# install init script
-install(
-     FILES
-        shared/etc/init.d/pki-cad
-     DESTINATION
-        ${SYSCONF_INSTALL_DIR}/rc.d/init.d
-     PERMISSIONS
-         OWNER_EXECUTE OWNER_WRITE OWNER_READ
-         GROUP_EXECUTE GROUP_READ
-)
-
 # install directories
 install(
     DIRECTORY
@@ -37,11 +13,7 @@ install(
     PATTERN
         "CMakeLists.txt" EXCLUDE
     PATTERN
-        "etc/*" EXCLUDE
-    PATTERN
         "conf/CS.cfg.in" EXCLUDE
-    PATTERN
-        "lib/*" EXCLUDE
 )
 
 # install empty directories
@@ -57,8 +29,3 @@ install(
         ${VAR_INSTALL_DIR}/run/pki/ca
 )
 
-install(
-    DIRECTORY
-    DESTINATION 
-        ${SYSTEMD_ETC_INSTALL_DIR}/pki-cad.target.wants
-)
diff --git a/base/kra/CMakeLists.txt b/base/kra/CMakeLists.txt
index 7fc45cd..02bacd1 100644
--- a/base/kra/CMakeLists.txt
+++ b/base/kra/CMakeLists.txt
@@ -4,31 +4,6 @@ add_subdirectory(src)
 add_subdirectory(setup)
 add_subdirectory(shared/conf)
 
-# install systemd scripts
-install(
-    FILES
-        shared/lib/systemd/system/pki-krad.target
-        shared/lib/systemd/system/pki-krad@.service
-    DESTINATION
-        ${SYSTEMD_LIB_INSTALL_DIR}
-    PERMISSIONS
-        OWNER_EXECUTE OWNER_WRITE OWNER_READ
-        GROUP_EXECUTE GROUP_READ
-        WORLD_EXECUTE WORLD_READ
-)
-
-# install init script
-install(
-    FILES
-        shared/etc/init.d/pki-krad
-    DESTINATION
-        ${SYSCONF_INSTALL_DIR}/rc.d/init.d
-    PERMISSIONS
-        OWNER_EXECUTE OWNER_WRITE OWNER_READ
-        GROUP_EXECUTE GROUP_READ
-        WORLD_EXECUTE WORLD_READ
-)
-
 # install directories
 install(
     DIRECTORY
@@ -38,11 +13,7 @@ install(
     PATTERN
         "CMakeLists.txt" EXCLUDE
     PATTERN
-        "etc/*" EXCLUDE
-    PATTERN
         "conf/CS.cfg.in" EXCLUDE
-    PATTERN
-        "lib/*" EXCLUDE
 )
 
 # install empty directories
@@ -58,9 +29,3 @@ install(
         ${VAR_INSTALL_DIR}/run/pki/kra
 )
 
-install(
-    DIRECTORY
-    DESTINATION 
-        ${SYSTEMD_ETC_INSTALL_DIR}/pki-krad.target.wants
-)
-
diff --git a/base/ocsp/CMakeLists.txt b/base/ocsp/CMakeLists.txt
index af6ba8a..4a7259b 100644
--- a/base/ocsp/CMakeLists.txt
+++ b/base/ocsp/CMakeLists.txt
@@ -4,31 +4,6 @@ add_subdirectory(src)
 add_subdirectory(setup)
 add_subdirectory(shared/conf)
 
-# install systemd scripts
-install(
-    FILES
-        shared/lib/systemd/system/pki-ocspd.target
-        shared/lib/systemd/system/pki-ocspd@.service
-    DESTINATION
-        ${SYSTEMD_LIB_INSTALL_DIR}
-    PERMISSIONS
-        OWNER_EXECUTE OWNER_WRITE OWNER_READ
-        GROUP_EXECUTE GROUP_READ
-        WORLD_EXECUTE WORLD_READ
-)
-
-# install init script
-install(
-    FILES
-        shared/etc/init.d/pki-ocspd
-    DESTINATION
-        ${SYSCONF_INSTALL_DIR}/rc.d/init.d
-    PERMISSIONS
-        OWNER_EXECUTE OWNER_WRITE OWNER_READ
-        GROUP_EXECUTE GROUP_READ
-        WORLD_EXECUTE WORLD_READ
-)
-
 # install directories
 install(
     DIRECTORY
@@ -38,11 +13,7 @@ install(
     PATTERN
         "CMakeLists.txt" EXCLUDE
     PATTERN
-        "etc/*" EXCLUDE
-    PATTERN
         "CS.cfg.in" EXCLUDE
-    PATTERN
-        "lib/*" EXCLUDE
 )
 
 # install empty directories
@@ -58,8 +29,3 @@ install(
         ${VAR_INSTALL_DIR}/run/pki/ocsp
 )
 
-install(
-    DIRECTORY
-    DESTINATION 
-        ${SYSTEMD_ETC_INSTALL_DIR}/pki-ocspd.target.wants
-)
diff --git a/base/server/cms/src/com/netscape/cms/servlet/csadmin/DonePanel.java b/base/server/cms/src/com/netscape/cms/servlet/csadmin/DonePanel.java
index 57583fd..d55bd82 100644
--- a/base/server/cms/src/com/netscape/cms/servlet/csadmin/DonePanel.java
+++ b/base/server/cms/src/com/netscape/cms/servlet/csadmin/DonePanel.java
@@ -115,13 +115,15 @@ public class DonePanel extends WizardPanelBase {
 
         String initDaemon = "";
         if (type.equals("CA")) {
-            initDaemon = "pki-cad";
+            initDaemon = "&lt;pki_ca_instance_name&gt;";
         } else if (type.equals("KRA")) {
-            initDaemon = "pki-krad";
+            initDaemon = "&lt;pki_kra_instance_name&gt;";
         } else if (type.equals("OCSP")) {
-            initDaemon = "pki-ocspd";
+            initDaemon = "&lt;pki_ocsp_instance_name&gt;";
         } else if (type.equals("TKS")) {
-            initDaemon = "pki-tksd";
+            initDaemon = "&lt;pki_tks_instance_name&gt;";
+        } else if (type.equals("TPS")) {
+            initDaemon = "&lt;pki_tps_instance_name&gt;";
         }
         String os = System.getProperty("os.name");
         if (os.equalsIgnoreCase("Linux")) {
diff --git a/base/server/cms/src/com/netscape/cms/servlet/csadmin/SecurityDomainPanel.java b/base/server/cms/src/com/netscape/cms/servlet/csadmin/SecurityDomainPanel.java
index 1ae4c33..3bc8169 100644
--- a/base/server/cms/src/com/netscape/cms/servlet/csadmin/SecurityDomainPanel.java
+++ b/base/server/cms/src/com/netscape/cms/servlet/csadmin/SecurityDomainPanel.java
@@ -96,12 +96,12 @@ public class SecurityDomainPanel extends WizardPanelBase {
         String errorString = "";
         String default_admin_url = "";
         String name = "";
-        String systemdService = "";
+        String systemdInstanceId = "";
 
         try {
             default_admin_url = config.getString("preop.securitydomain.admin_url", "");
             name = config.getString("preop.securitydomain.name", "");
-            systemdService = config.getString("pkicreate.systemd.servicename", "");
+            systemdInstanceId = config.getString("service.instanceID", "");
         } catch (Exception e) {
             CMS.debug(e.toString());
         }
@@ -208,13 +208,13 @@ public class SecurityDomainPanel extends WizardPanelBase {
         }
 
         // Information for "existing" Security Domain CAs
-        String initDaemon = "pki-cad";
+        String initDaemon = "&lt;pki_ca_instance_name&gt;";
         String instanceId = "&lt;security_domain_instance_name&gt;";
         String os = System.getProperty("os.name");
         if (os.equalsIgnoreCase("Linux")) {
-            if (!systemdService.equals("")) {
-                context.put("initCommand", "/usr/bin/pkicontrol");
-                context.put("instanceId", "ca " + systemdService);
+            if (!systemdInstanceId.equals("")) {
+                context.put("initCommand", "/usr/bin/pkidaemon");
+                context.put("instanceId", "tomcat " + systemdInstanceId);
             } else {
                 context.put("initCommand", "/sbin/service " + initDaemon);
                 context.put("instanceId", instanceId);
@@ -451,12 +451,25 @@ public class SecurityDomainPanel extends WizardPanelBase {
         }
 
         // Information for "existing" Security Domain CAs
-        String initDaemon = "pki-cad";
+        String initDaemon = "&lt;pki_ca_instance_name&gt;";
         String instanceId = "&lt;security_domain_instance_name&gt;";
         String os = System.getProperty("os.name");
+        String systemdInstanceId = "";
+
+        try {
+            systemdInstanceId = config.getString("service.instanceID", "");
+        } catch (Exception e) {
+            CMS.debug(e.toString());
+        }
+
         if (os.equalsIgnoreCase("Linux")) {
-            context.put("initCommand", "/sbin/service " + initDaemon);
-            context.put("instanceId", instanceId);
+            if (!systemdInstanceId.equals("")) {
+                context.put("initCommand", "/usr/bin/pkidaemon");
+                context.put("instanceId", "tomcat " + systemdInstanceId);
+            } else {
+                context.put("initCommand", "/sbin/service " + initDaemon);
+                context.put("instanceId", instanceId);
+            }
         } else {
             /* default case:  e. g. - ( os.equalsIgnoreCase( "SunOS" ) */
             context.put("initCommand", "/etc/init.d/" + initDaemon);
diff --git a/base/server/python/pki/server/deployment/pkimessages.py b/base/server/python/pki/server/deployment/pkimessages.py
index 6ffe2e7..405118a 100644
--- a/base/server/python/pki/server/deployment/pkimessages.py
+++ b/base/server/python/pki/server/deployment/pkimessages.py
@@ -374,7 +374,7 @@ PKI_INSTANCE_RESTART_MESSAGE = \
 
 PKI_SPAWN_INFORMATION_HEADER = '''
     ==========================================================================
-                                INSTALLATION SUMMARY\n"\
+                                INSTALLATION SUMMARY\n\
     ==========================================================================
 '''
 
diff --git a/base/server/share/webapps/pki/admin/console/config/securitydomainpanel.vm b/base/server/share/webapps/pki/admin/console/config/securitydomainpanel.vm
index a8ac15b..57af87c 100644
--- a/base/server/share/webapps/pki/admin/console/config/securitydomainpanel.vm
+++ b/base/server/share/webapps/pki/admin/console/config/securitydomainpanel.vm
@@ -109,7 +109,7 @@ Enter the URL to an existing security domain.
 <table>
 <tr>
 <td valign="top"><b>NOTE:&nbsp;&nbsp; </b></td>
-<td>Since a Security Domain MUST be a CA (although all CAs are NOT necessarily Security Domains), an appropriate value for this URL may be obtained by logging into the machine which hosts the desired Security Domain CA as 'root' and running the command "$initCommand status $instanceId" from the command-line.</td>
+<td>Since a Security Domain MUST be a CA (although all CAs are NOT necessarily Security Domains), an appropriate value for this URL may be obtained by logging into the machine which hosts the desired Security Domain CA as 'root' and running the command (e. g. - "$initCommand status $instanceId") from the command-line.</td>
 </tr>
 </table>
 <br/>
diff --git a/base/setup/pkicommon.pm b/base/setup/pkicommon.pm
index b5bb811..bbe8a6b 100755
--- a/base/setup/pkicommon.pm
+++ b/base/setup/pkicommon.pm
@@ -40,8 +40,7 @@ our @EXPORT = qw(
  $FILE_PREFIX $FTP_PREFIX $HTTP_PREFIX $HTTPS_PREFIX $LDAP_PREFIX $LDAPS_PREFIX
  $PKI_USER $PKI_GROUP $PKI_UID $PKI_GID
  $CA $KRA $OCSP $TKS $RA $TPS
- $CA_INITSCRIPT $KRA_INITSCRIPT $OCSP_INITSCRIPT
- $TKS_INITSCRIPT $RA_INITSCRIPT $TPS_INITSCRIPT
+ $RA_INITSCRIPT
  $install_info_basename $cleanup_basename %installation_info
  $semanage $restorecon $SELINUX_PORT_UNDEFINED $SELINUX_PORT_DEFINED $SELINUX_PORT_WRONGLY_DEFINED
 
@@ -292,12 +291,7 @@ our $RA   = "ra";
 our $TPS  = "tps";
 
 # Subsystem init scripts
-our $CA_INITSCRIPT   = "pki-cad";
-our $KRA_INITSCRIPT  = "pki-krad";
-our $OCSP_INITSCRIPT = "pki-ocspd";
-our $TKS_INITSCRIPT  = "pki-tksd";
 our $RA_INITSCRIPT   = "pki-rad";
-our $TPS_INITSCRIPT  = "pki-tpsd";
 
 
 ##############################################################
@@ -3474,18 +3468,8 @@ sub get_registry_initscript_name
     my ($subsystem_type) = @_;
     my ($pki_initscript);
 
-    if ($subsystem_type eq $CA) {
-        $pki_initscript = $CA_INITSCRIPT;
-    } elsif($subsystem_type eq $KRA) {
-        $pki_initscript = $KRA_INITSCRIPT;
-    } elsif($subsystem_type eq $OCSP) {
-        $pki_initscript = $OCSP_INITSCRIPT;
-    } elsif($subsystem_type eq $RA) {
+    if ($subsystem_type eq $RA) {
         $pki_initscript = $RA_INITSCRIPT;
-    } elsif($subsystem_type eq $TKS) {
-        $pki_initscript = $TKS_INITSCRIPT;
-    } elsif($subsystem_type eq $TPS) {
-        $pki_initscript = $TPS_INITSCRIPT;
     } else {
         die "unknown subsystem type \"$subsystem_type\"";
     }
diff --git a/base/setup/scripts/functions b/base/setup/scripts/functions
index 96722a1..ed32c6a 100644
--- a/base/setup/scripts/functions
+++ b/base/setup/scripts/functions
@@ -909,24 +909,9 @@ verify_symlinks()
     else
         jni_dir="/usr/lib/java"
     fi
-    if   [ ${PKI_SUBSYSTEM_TYPE} == "ca" ]; then
-        pki_systemd_link="pki-cad@${PKI_INSTANCE_NAME}.service"
-        pki_systemd_service="pki-cad@.service"
-    elif [ ${PKI_SUBSYSTEM_TYPE} == "kra" ]; then
-        pki_systemd_link="pki-krad@${PKI_INSTANCE_NAME}.service"
-        pki_systemd_service="pki-krad@.service"
-    elif [ ${PKI_SUBSYSTEM_TYPE} == "ocsp" ]; then
-        pki_systemd_link="pki-ocspd@${PKI_INSTANCE_NAME}.service"
-        pki_systemd_service="pki-ocspd@.service"
-    elif [ ${PKI_SUBSYSTEM_TYPE} == "ra" ]; then
+    if [ ${PKI_SUBSYSTEM_TYPE} == "ra" ]; then
         pki_systemd_link="pki-rad@${PKI_INSTANCE_NAME}.service"
         pki_systemd_service="pki-rad@.service"
-    elif [ ${PKI_SUBSYSTEM_TYPE} == "tks" ]; then
-        pki_systemd_link="pki-tksd@${PKI_INSTANCE_NAME}.service"
-        pki_systemd_service="pki-tksd@.service"
-    elif [ ${PKI_SUBSYSTEM_TYPE} == "tps" ]; then
-        pki_systemd_link="pki-tpsd@${PKI_INSTANCE_NAME}.service"
-        pki_systemd_service="pki-tpsd@.service"
     fi
 
     # Dogtag 9 Symbolic Link Target Variables
@@ -935,7 +920,7 @@ verify_symlinks()
     # Dogtag 9 Symbolic Link Variables
     pki_common_jar_dir="${PKI_INSTANCE_PATH}/common/lib"
     # pki_registry_dir="/etc/sysconfig/pki/${PKI_SUBSYSTEM_TYPE}/${PKI_INSTANCE_NAME}"
-    pki_systemd_dir="/etc/systemd/system/pki-cad.target.wants"
+    pki_systemd_dir="/etc/systemd/system/pki-rad.target.wants"
     pki_webapps_jar_dir="${PKI_INSTANCE_PATH}/webapps/${PKI_SUBSYSTEM_TYPE}/WEB-INF/lib"
 
     # '${PKI_INSTANCE_PATH}' symlinks
diff --git a/base/tks/CMakeLists.txt b/base/tks/CMakeLists.txt
index a503f24..4b17ca0 100644
--- a/base/tks/CMakeLists.txt
+++ b/base/tks/CMakeLists.txt
@@ -4,31 +4,6 @@ add_subdirectory(src)
 add_subdirectory(setup)
 add_subdirectory(shared/conf)
 
-# install systemd scripts
-install(
-    FILES
-        shared/lib/systemd/system/pki-tksd.target
-        shared/lib/systemd/system/pki-tksd@.service
-    DESTINATION
-        ${SYSTEMD_LIB_INSTALL_DIR}
-    PERMISSIONS
-        OWNER_EXECUTE OWNER_WRITE OWNER_READ
-        GROUP_EXECUTE GROUP_READ
-        WORLD_EXECUTE WORLD_READ
-)
-
-# install init script
-install(
-    FILES
-        shared/etc/init.d/pki-tksd
-    DESTINATION
-        ${SYSCONF_INSTALL_DIR}/rc.d/init.d
-    PERMISSIONS
-        OWNER_EXECUTE OWNER_WRITE OWNER_READ
-        GROUP_EXECUTE GROUP_READ
-        WORLD_EXECUTE WORLD_READ
-)
-
 # install directories
 install(
     DIRECTORY
@@ -38,11 +13,7 @@ install(
     PATTERN
         "CMakeLists.txt" EXCLUDE
     PATTERN
-        "etc/*" EXCLUDE
-    PATTERN
         "CS.cfg.in" EXCLUDE
-    PATTERN
-        "lib/*" EXCLUDE
 )
 
 # install empty directories
@@ -58,8 +29,3 @@ install(
         ${VAR_INSTALL_DIR}/run/pki/tks
 )
 
-install(
-    DIRECTORY
-    DESTINATION 
-        ${SYSTEMD_ETC_INSTALL_DIR}/pki-tksd.target.wants
-)
diff --git a/base/tps-tomcat/CMakeLists.txt b/base/tps-tomcat/CMakeLists.txt
index c953d8a..dac3287 100644
--- a/base/tps-tomcat/CMakeLists.txt
+++ b/base/tps-tomcat/CMakeLists.txt
@@ -18,31 +18,6 @@ install(
         WORLD_READ
 )
 
-# install systemd scripts
-install(
-    FILES
-        shared/lib/systemd/system/pki-tpsd.target
-        shared/lib/systemd/system/pki-tpsd@.service
-    DESTINATION
-        ${SYSTEMD_LIB_INSTALL_DIR}
-    PERMISSIONS
-        OWNER_EXECUTE OWNER_WRITE OWNER_READ
-        GROUP_EXECUTE GROUP_READ
-        WORLD_EXECUTE WORLD_READ
-)
-
-# install init script
-install(
-    FILES
-        shared/etc/init.d/pki-tpsd
-    DESTINATION
-        ${SYSCONF_INSTALL_DIR}/rc.d/init.d
-    PERMISSIONS
-        OWNER_EXECUTE OWNER_WRITE OWNER_READ
-        GROUP_EXECUTE GROUP_READ
-        WORLD_EXECUTE WORLD_READ
-)
-
 # install directories
 install(
     DIRECTORY
@@ -52,11 +27,7 @@ install(
     PATTERN
         "CMakeLists.txt" EXCLUDE
     PATTERN
-        "etc/*" EXCLUDE
-    PATTERN
         "conf/CS.cfg.in" EXCLUDE
-    PATTERN
-        "lib/*" EXCLUDE
 )
 
 # install empty directories
@@ -72,8 +43,3 @@ install(
         ${VAR_INSTALL_DIR}/run/pki/tps
 )
 
-install(
-    DIRECTORY
-    DESTINATION
-        ${SYSTEMD_ETC_INSTALL_DIR}/pki-tpsd.target.wants
-)
diff --git a/specs/pki-core.spec b/specs/pki-core.spec
index 1c50267..d940f33 100644
--- a/specs/pki-core.spec
+++ b/specs/pki-core.spec
@@ -5,7 +5,7 @@ distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
 
 Name:             pki-core
 Version:          10.2.0
-Release:          0.4%{?dist}
+Release:          0.5%{?dist}
 Summary:          Certificate System - PKI Core Components
 URL:              http://pki.fedoraproject.org/
 License:          GPLv2
@@ -542,28 +542,8 @@ if [ $? -eq 1 ]; then
     exit 1
 fi
 
-%{__rm} %{buildroot}%{_initrddir}/pki-cad
-%{__rm} %{buildroot}%{_initrddir}/pki-krad
-%{__rm} %{buildroot}%{_initrddir}/pki-ocspd
-%{__rm} %{buildroot}%{_initrddir}/pki-tksd
-%{__rm} %{buildroot}%{_initrddir}/pki-tpsd
-
 %{__rm} -rf %{buildroot}%{_datadir}/pki/server/lib
 
-# tomcat6 has changed how TOMCAT_LOG is used.
-# Need to adjust accordingly
-# This macro will be executed in the postinstall scripts
-%define fix_tomcat_log() (                                                   \
-if [ -d /etc/sysconfig/pki/%i ]; then                                        \
-  for F in `find /etc/sysconfig/pki/%1 -type f`; do                          \
-    instance=`basename $F`                                                   \
-    if [ -f /etc/sysconfig/$instance ]; then                                 \
-        sed -i -e 's/catalina.out/tomcat-initd.log/' /etc/sysconfig/$instance \
-    fi                                                                       \
-  done                                                                       \
-fi                                                                           \
-)
-
 %endif # %{with server}
 
 %{__mkdir_p} %{buildroot}%{_localstatedir}/log/pki
@@ -621,130 +601,6 @@ fi
 
 %if %{with server}
 
-%post -n pki-ca
-# Attempt to update ALL old "CA" instances to "systemd"
-if [ -d /etc/sysconfig/pki/ca ]; then
-    for inst in `ls /etc/sysconfig/pki/ca`; do
-        if [ ! -e "/etc/systemd/system/pki-cad.target.wants/pki-cad@${inst}.service" ]; then
-            ln -s "/lib/systemd/system/pki-cad@.service" \
-                  "/etc/systemd/system/pki-cad.target.wants/pki-cad@${inst}.service"
-            [ -L /var/lib/${inst}/${inst} ] && unlink /var/lib/${inst}/${inst}
-            ln -s /usr/sbin/tomcat6-sysd /var/lib/${inst}/${inst}
-
-            if [ -e /var/run/${inst}.pid ]; then
-                kill -9 `cat /var/run/${inst}.pid` || :
-                rm -f /var/run/${inst}.pid
-                echo "pkicreate.systemd.servicename=pki-cad@${inst}.service" >> \
-                     /var/lib/${inst}/conf/CS.cfg || :
-                /bin/systemctl daemon-reload >/dev/null 2>&1 || :
-                /bin/systemctl restart pki-cad@${inst}.service || :
-            else 
-                echo "pkicreate.systemd.servicename=pki-cad@${inst}.service" >> \
-                     /var/lib/${inst}/conf/CS.cfg || :
-            fi
-        else
-            # Conditionally restart this Dogtag 9 instance
-            /bin/systemctl condrestart pki-cad@${inst}.service
-        fi
-    done
-fi
-/bin/systemctl daemon-reload >/dev/null 2>&1 || :
-%fix_tomcat_log ca
-
-
-%post -n pki-kra
-# Attempt to update ALL old "KRA" instances to "systemd"
-if [ -d /etc/sysconfig/pki/kra ]; then
-    for inst in `ls /etc/sysconfig/pki/kra`; do
-        if [ ! -e "/etc/systemd/system/pki-krad.target.wants/pki-krad@${inst}.service" ]; then
-            ln -s "/lib/systemd/system/pki-krad@.service" \
-                  "/etc/systemd/system/pki-krad.target.wants/pki-krad@${inst}.service"
-            [ -L /var/lib/${inst}/${inst} ] && unlink /var/lib/${inst}/${inst}
-            ln -s /usr/sbin/tomcat6-sysd /var/lib/${inst}/${inst}
-
-            if [ -e /var/run/${inst}.pid ]; then
-                kill -9 `cat /var/run/${inst}.pid` || :
-                rm -f /var/run/${inst}.pid
-                echo "pkicreate.systemd.servicename=pki-krad@${inst}.service" >> \
-                     /var/lib/${inst}/conf/CS.cfg || :
-                /bin/systemctl daemon-reload >/dev/null 2>&1 || :
-                /bin/systemctl restart pki-krad@${inst}.service || :
-            else 
-                echo "pkicreate.systemd.servicename=pki-krad@${inst}.service" >> \
-                     /var/lib/${inst}/conf/CS.cfg || :
-            fi
-        else
-            # Conditionally restart this Dogtag 9 instance
-            /bin/systemctl condrestart pki-krad@${inst}.service
-        fi
-    done
-fi
-/bin/systemctl daemon-reload >/dev/null 2>&1 || :
-%fix_tomcat_log kra
-
-
-%post -n pki-ocsp
-# Attempt to update ALL old "OCSP" instances to "systemd"
-if [ -d /etc/sysconfig/pki/ocsp ]; then
-    for inst in `ls /etc/sysconfig/pki/ocsp`; do
-        if [ ! -e "/etc/systemd/system/pki-ocspd.target.wants/pki-ocspd@${inst}.service" ]; then
-            ln -s "/lib/systemd/system/pki-ocspd@.service" \
-                  "/etc/systemd/system/pki-ocspd.target.wants/pki-ocspd@${inst}.service"
-            [ -L /var/lib/${inst}/${inst} ] && unlink /var/lib/${inst}/${inst}
-            ln -s /usr/sbin/tomcat6-sysd /var/lib/${inst}/${inst}
-
-            if [ -e /var/run/${inst}.pid ]; then
-                kill -9 `cat /var/run/${inst}.pid` || :
-                rm -f /var/run/${inst}.pid
-                echo "pkicreate.systemd.servicename=pki-ocspd@${inst}.service" >> \
-                     /var/lib/${inst}/conf/CS.cfg || :
-                /bin/systemctl daemon-reload >/dev/null 2>&1 || :
-                /bin/systemctl restart pki-ocspd@${inst}.service || :
-            else 
-                echo "pkicreate.systemd.servicename=pki-ocspd@${inst}.service" >> \
-                     /var/lib/${inst}/conf/CS.cfg || :
-            fi
-        else
-            # Conditionally restart this Dogtag 9 instance
-            /bin/systemctl condrestart pki-ocspd@${inst}.service
-        fi
-    done
-fi
-/bin/systemctl daemon-reload >/dev/null 2>&1 || :
-%fix_tomcat_log ocsp
-
-
-%post -n pki-tks
-# Attempt to update ALL old "TKS" instances to "systemd"
-if [ -d /etc/sysconfig/pki/tks ]; then
-    for inst in `ls /etc/sysconfig/pki/tks`; do
-        if [ ! -e "/etc/systemd/system/pki-tksd.target.wants/pki-tksd@${inst}.service" ]; then
-            ln -s "/lib/systemd/system/pki-tksd@.service" \
-                  "/etc/systemd/system/pki-tksd.target.wants/pki-tksd@${inst}.service"
-            [ -L /var/lib/${inst}/${inst} ] && unlink /var/lib/${inst}/${inst}
-            ln -s /usr/sbin/tomcat6-sysd /var/lib/${inst}/${inst}
-
-            if [ -e /var/run/${inst}.pid ]; then
-                kill -9 `cat /var/run/${inst}.pid` || :
-                rm -f /var/run/${inst}.pid
-                echo "pkicreate.systemd.servicename=pki-tksd@${inst}.service" >> \
-                     /var/lib/${inst}/conf/CS.cfg || :
-                /bin/systemctl daemon-reload >/dev/null 2>&1 || :
-                /bin/systemctl restart pki-tksd@${inst}.service || :
-            else 
-                echo "pkicreate.systemd.servicename=pki-tksd@${inst}.service" >> \
-                     /var/lib/${inst}/conf/CS.cfg || :
-            fi
-        else
-            # Conditionally restart this Dogtag 9 instance
-            /bin/systemctl condrestart pki-tksd@${inst}.service
-        fi
-    done
-fi
-/bin/systemctl daemon-reload >/dev/null 2>&1 || :
-%fix_tomcat_log tks
-
-
 %post -n pki-server
 ## NOTE:  At this time, NO attempt has been made to update ANY PKI subsystem
 ##        from EITHER 'sysVinit' OR previous 'systemd' processes to the new
@@ -755,68 +611,12 @@ echo "Upgrading server at `/bin/date`." >> /var/log/pki/pki-server-upgrade-%{ver
 echo >> /var/log/pki/pki-server-upgrade-%{version}.log 2>&1
 
 
-%preun -n pki-ca
-if [ $1 = 0 ] ; then
-    /bin/systemctl --no-reload disable pki-cad.target > /dev/null 2>&1 || :
-    /bin/systemctl stop pki-cad.target > /dev/null 2>&1 || :
-fi
-
-
-%preun -n pki-kra
-if [ $1 = 0 ] ; then
-    /bin/systemctl --no-reload disable pki-krad.target > /dev/null 2>&1 || :
-    /bin/systemctl stop pki-krad.target > /dev/null 2>&1 || :
-fi
-
-
-%preun -n pki-ocsp
-if [ $1 = 0 ] ; then
-    /bin/systemctl --no-reload disable pki-ocspd.target > /dev/null 2>&1 || :
-    /bin/systemctl stop pki-ocspd.target > /dev/null 2>&1 || :
-fi
-
-
-%preun -n pki-tks
-if [ $1 = 0 ] ; then
-    /bin/systemctl --no-reload disable pki-tksd.target > /dev/null 2>&1 || :
-    /bin/systemctl stop pki-tksd.target > /dev/null 2>&1 || :
-fi
-
-
 ## %preun -n pki-server
 ## NOTE:  At this time, NO attempt has been made to update ANY PKI subsystem
 ##        from EITHER 'sysVinit' OR previous 'systemd' processes to the new
 ##        PKI deployment process
 
 
-%postun -n pki-ca
-/bin/systemctl daemon-reload >/dev/null 2>&1 || :
-if [ "$1" -ge "1" ] ; then
-    /bin/systemctl try-restart pki-cad.target >/dev/null 2>&1 || :
-fi
-
-
-%postun -n pki-kra
-/bin/systemctl daemon-reload >/dev/null 2>&1 || :
-if [ "$1" -ge "1" ] ; then
-    /bin/systemctl try-restart pki-krad.target >/dev/null 2>&1 || :
-fi
-
-
-%postun -n pki-ocsp
-/bin/systemctl daemon-reload >/dev/null 2>&1 || :
-if [ "$1" -ge "1" ] ; then
-    /bin/systemctl try-restart pki-ocspd.target >/dev/null 2>&1 || :
-fi
-
-
-%postun -n pki-tks
-/bin/systemctl daemon-reload >/dev/null 2>&1 || :
-if [ "$1" -ge "1" ] ; then
-    /bin/systemctl try-restart pki-tksd.target >/dev/null 2>&1 || :
-fi
-
-
 ## %postun -n pki-server
 ## NOTE:  At this time, NO attempt has been made to update ANY PKI subsystem
 ##        from EITHER 'sysVinit' OR previous 'systemd' processes to the new
@@ -943,9 +743,6 @@ fi
 %files -n pki-ca
 %defattr(-,root,root,-)
 %doc base/ca/LICENSE
-%dir %{_sysconfdir}/systemd/system/pki-cad.target.wants
-%{_unitdir}/pki-cad@.service
-%{_unitdir}/pki-cad.target
 %{_javadir}/pki/pki-ca.jar
 %dir %{_datadir}/pki/ca
 %{_datadir}/pki/ca/conf/
@@ -958,9 +755,6 @@ fi
 %files -n pki-kra
 %defattr(-,root,root,-)
 %doc base/kra/LICENSE
-%dir %{_sysconfdir}/systemd/system/pki-krad.target.wants
-%{_unitdir}/pki-krad@.service
-%{_unitdir}/pki-krad.target
 %{_javadir}/pki/pki-kra.jar
 %dir %{_datadir}/pki/kra
 %{_datadir}/pki/kra/conf/
@@ -970,9 +764,6 @@ fi
 %files -n pki-ocsp
 %defattr(-,root,root,-)
 %doc base/ocsp/LICENSE
-%dir %{_sysconfdir}/systemd/system/pki-ocspd.target.wants
-%{_unitdir}/pki-ocspd@.service
-%{_unitdir}/pki-ocspd.target
 %{_javadir}/pki/pki-ocsp.jar
 %dir %{_datadir}/pki/ocsp
 %{_datadir}/pki/ocsp/conf/
@@ -982,9 +773,6 @@ fi
 %files -n pki-tks
 %defattr(-,root,root,-)
 %doc base/tks/LICENSE
-%dir %{_sysconfdir}/systemd/system/pki-tksd.target.wants
-%{_unitdir}/pki-tksd@.service
-%{_unitdir}/pki-tksd.target
 %{_javadir}/pki/pki-tks.jar
 %dir %{_datadir}/pki/tks
 %{_datadir}/pki/tks/conf/
@@ -994,9 +782,6 @@ fi
 %files -n pki-tps-tomcat
 %defattr(-,root,root,-)
 %doc base/tps/LICENSE
-%dir %{_sysconfdir}/systemd/system/pki-tpsd.target.wants
-%{_unitdir}/pki-tpsd@.service
-%{_unitdir}/pki-tpsd.target
 %{_javadir}/pki/pki-tps.jar
 %dir %{_datadir}/pki/tps
 %{_datadir}/pki/tps/conf/
@@ -1014,6 +799,9 @@ fi
 %endif # %{with server}
 
 %changelog
+* Wed Jul 2 2014 Matthew Harmsen <mharmsen@redhat.com> - 10.2.0-0.5
+- PKI TRAC Ticket #832 - Remove legacy 'systemctl' files . . .
+
 * Tue Jul 1 2014 Ade Lee <alee@redhat.com> - 10.2.0-0.4
 - Update rawhide build
 
-- 
1.9.3

